# Mastodon Chess
Play with other fediverse users a Chess game! Mastodon Chess control games, players and boards!  

Usage:  

To start a game:
@your_bot_username new

To make a move:

@your_bot_username move e2e4

### Dependencies

-   **Python 3**
-   Postgresql server
-   Mastodon's bot account

### Usage:

Within Python Virtual Environment:

1. Run `pip install -r requirements.txt` to install needed Python libraries.

2. Run `python db-setup.py` to setup and create new Postgresql database and needed tables in it.

3. Run `python setup.py` to get your Mastodon's bot account tokens.

4. Use your favourite scheduling method to set `python mastochess.py` to run regularly. 


